Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.resolver.atom
Interface DefaultAtomThreadingContentHandler

All Superinterfaces:
  AtomThreadingContentHandler, org.xml.sax.ContentHandler, DefaultContentHandler, ResettableAtomThreadingContentHandler, ResettableContentHandler

    public interface DefaultAtomThreadingContentHandler

extends ResettableAtomThreadingContentHandler, DefaultContentHandler

Extension of the `AtomThreadingContentHandler` interface that provides convenience methods to more easily generate ATOM threading events.

The `atomXXX` methods generate complete ATOM tags, consisting of the start tag, an optional body and an end tag.

The `startXXX` methods are provided for convenience for those cases when no extra attributes are required for a starting element.

The `dateTime` methods write a date string in RFC3339 date format into a text() element.

The `uri` methods serialize URIs into a text() element.

The `text` methods serialize text() elements.

Since:
  6.0.1

Method Summary
`void` | `atomInReplyTo(java.lang.String rRef, java.lang.String oHref, java.lang.String oSource, java.lang.String oType)` Writes the start and the end tag for "thr:in-reply-to".
`void` | `atomInReplyTo(java.net.URL rRef, java.net.URL oHref, java.net.URL oSource, java.lang.String oType)` Writes the start and the end tag for "thr:in-reply-to".
`void` | `atomTotal(int total)` Writes the start and the end tag for "thr:total".
`void` | `startInReplyTo(java.lang.String rRef, java.lang.String oHref, java.lang.String oSource, java.lang.String oType)` Indicates the start of an `thr:in-reply-to` entry.
`void` | `startInReplyTo(java.net.URL rRef, java.net.URL oHref, java.net.URL oSource, java.lang.String oType)` Indicates the start of an `thr:in-reply-to` entry.
`void` | `startTotal()` Indicates the start of an `thr:total` entry.

Methods inherited from interface com.ibm.portal.resolver.atom.ResettableAtomThreadingContentHandler
`getAtomThreadingContentHandler, setAtomThreadingContentHandler`

Methods inherited from interface com.ibm.portal.resolver.atom.AtomThreadingContentHandler
`endInReplyTo, endTotal, startInReplyTo, startTotal`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Methods inherited from interface com.ibm.portal.resolver.xml.DefaultContentHandler
`dateTime, dateTime, getInnerContentHandler, getResult, getWriter, number, number, text, text, transform, uri, uri, uri, uri`

Method Detail

### startInReplyTo

    void startInReplyTo(java.lang.String rRef,
                        java.lang.String oHref,
                        java.lang.String oSource,
                        java.lang.String oType)
                        throws org.xml.sax.SAXException

  Indicates the start of an `thr:in-reply-to` entry.

  The "in-reply-to" element is used to indicate that an entry is a response to another resource. The element MUST contain a "ref" attribute identifying the resource that is being responded to.

  The element is not unlike the references and in-reply-to email message headers defined by [RFC2822]. However, unlike the in-reply-to header, the "in-reply-to" element is required to identify the unique identifier of only a single parent resource. If the entry is a response to multiple resources, additional "in-reply-to" elements MAY be used. There is no direct equivalent to the references header, which lists the unique identifiers of each preceding message in a thread.

  Parameters:
    `rRef` - Mandatory ref attribute, not `null`.

    The "ref" attribute specifies the persistent, universally unique identifier of the resource being responded to. The value MUST conform to the same construction and comparison rules as the value of the atom:id element as defined in section 4.2.6 of [RFC4287]. Though the IRI might use a dereferenceable scheme, processors MUST NOT assume it can be dereferenced.

    `oHref` - Optional href attribute, may be `null`.

    `oSource` - Optional source attribute, may be `null`.

    The "source" attribute MAY be used to specify the IRI [RFC3987] of an Atom Feed or Entry Document containing an atom:entry with an atom:id value equal to the value of the "ref" attribute. The IRI specified, once appropriately mapped to a corresponding URI, MUST be dereferenceable.

    `oType` - Optional type attribute, may be `null`.

    The "type" attribute MAY be used to provide a hint to the client about the media type [RFC4288] of the resource identified by the "href" attribute. The "type" attribute is only meaningful if a corresponding "href" attribute is also provided.

  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  See Also:
    `AtomThreadingContentHandler.startInReplyTo(String, String, String, String, Attributes)`

### startInReplyTo

    void startInReplyTo(java.net.URL rRef,
                        java.net.URL oHref,
                        java.net.URL oSource,
                        java.lang.String oType)
                        throws org.xml.sax.SAXException

  Indicates the start of an `thr:in-reply-to` entry.

  The "in-reply-to" element is used to indicate that an entry is a response to another resource. The element MUST contain a "ref" attribute identifying the resource that is being responded to.

  The element is not unlike the references and in-reply-to email message headers defined by [RFC2822]. However, unlike the in-reply-to header, the "in-reply-to" element is required to identify the unique identifier of only a single parent resource. If the entry is a response to multiple resources, additional "in-reply-to" elements MAY be used. There is no direct equivalent to the references header, which lists the unique identifiers of each preceding message in a thread.

  Parameters:
    `rRef` - Mandatory ref attribute, not `null`.

    The "ref" attribute specifies the persistent, universally unique identifier of the resource being responded to. The value MUST conform to the same construction and comparison rules as the value of the atom:id element as defined in section 4.2.6 of [RFC4287]. Though the IRI might use a dereferenceable scheme, processors MUST NOT assume it can be dereferenced.

    `oHref` - Optional href attribute, may be `null`.

    `oSource` - Optional source attribute, may be `null`.

    The "source" attribute MAY be used to specify the IRI [RFC3987] of an Atom Feed or Entry Document containing an atom:entry with an atom:id value equal to the value of the "ref" attribute. The IRI specified, once appropriately mapped to a corresponding URI, MUST be dereferenceable.

    `oType` - Optional type attribute, may be `null`.

    The "type" attribute MAY be used to provide a hint to the client about the media type [RFC4288] of the resource identified by the "href" attribute. The "type" attribute is only meaningful if a corresponding "href" attribute is also provided.

  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  See Also:
    `AtomThreadingContentHandler.startInReplyTo(String, String, String, String, Attributes)`

### startTotal

    void startTotal()
                    throws org.xml.sax.SAXException

  Indicates the start of an `thr:total` entry.

  The "total" element is used to indicate the total number of unique responses to an entry known to the publisher. Its content MUST be an unsigned non-negative integer value conforming to the canonical representation of the XML Schema nonNegativeInteger data type [W3C.REC-xmlschema-2-20041028].

  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  See Also:
    `AtomThreadingContentHandler.startTotal(Attributes)`

### atomInReplyTo

    void atomInReplyTo(java.lang.String rRef,
                       java.lang.String oHref,
                       java.lang.String oSource,
                       java.lang.String oType)
                       throws org.xml.sax.SAXException

  Writes the start and the end tag for "thr:in-reply-to".

  The "in-reply-to" element is used to indicate that an entry is a response to another resource. The element MUST contain a "ref" attribute identifying the resource that is being responded to.

  The element is not unlike the references and in-reply-to email message headers defined by [RFC2822]. However, unlike the in-reply-to header, the "in-reply-to" element is required to identify the unique identifier of only a single parent resource. If the entry is a response to multiple resources, additional "in-reply-to" elements MAY be used. There is no direct equivalent to the references header, which lists the unique identifiers of each preceding message in a thread.

  Parameters:
    `rRef` - Mandatory ref attribute, not `null`.

    The "ref" attribute specifies the persistent, universally unique identifier of the resource being responded to. The value MUST conform to the same construction and comparison rules as the value of the atom:id element as defined in section 4.2.6 of [RFC4287]. Though the IRI might use a dereferenceable scheme, processors MUST NOT assume it can be dereferenced.

    `oHref` - Optional href attribute, may be `null`.

    `oSource` - Optional source attribute, may be `null`.

    The "source" attribute MAY be used to specify the IRI [RFC3987] of an Atom Feed or Entry Document containing an atom:entry with an atom:id value equal to the value of the "ref" attribute. The IRI specified, once appropriately mapped to a corresponding URI, MUST be dereferenceable.

    `oType` - Optional type attribute, may be `null`.

    The "type" attribute MAY be used to provide a hint to the client about the media type [RFC4288] of the resource identified by the "href" attribute. The "type" attribute is only meaningful if a corresponding "href" attribute is also provided.

  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  See Also:
    `AtomThreadingContentHandler.startInReplyTo(String, String, String, String, Attributes)`, `AtomThreadingContentHandler.endInReplyTo()`

### atomInReplyTo

    void atomInReplyTo(java.net.URL rRef,
                       java.net.URL oHref,
                       java.net.URL oSource,
                       java.lang.String oType)
                       throws org.xml.sax.SAXException

  Writes the start and the end tag for "thr:in-reply-to".

  The "in-reply-to" element is used to indicate that an entry is a response to another resource. The element MUST contain a "ref" attribute identifying the resource that is being responded to.

  The element is not unlike the references and in-reply-to email message headers defined by [RFC2822]. However, unlike the in-reply-to header, the "in-reply-to" element is required to identify the unique identifier of only a single parent resource. If the entry is a response to multiple resources, additional "in-reply-to" elements MAY be used. There is no direct equivalent to the references header, which lists the unique identifiers of each preceding message in a thread.

  Parameters:
    `rRef` - Mandatory ref attribute, not `null`.

    The "ref" attribute specifies the persistent, universally unique identifier of the resource being responded to. The value MUST conform to the same construction and comparison rules as the value of the atom:id element as defined in section 4.2.6 of [RFC4287]. Though the IRI might use a dereferenceable scheme, processors MUST NOT assume it can be dereferenced.

    `oHref` - Optional href attribute, may be `null`.

    `oSource` - Optional source attribute, may be `null`.

    The "source" attribute MAY be used to specify the IRI [RFC3987] of an Atom Feed or Entry Document containing an atom:entry with an atom:id value equal to the value of the "ref" attribute. The IRI specified, once appropriately mapped to a corresponding URI, MUST be dereferenceable.

    `oType` - Optional type attribute, may be `null`.

    The "type" attribute MAY be used to provide a hint to the client about the media type [RFC4288] of the resource identified by the "href" attribute. The "type" attribute is only meaningful if a corresponding "href" attribute is also provided.

  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  See Also:
    `AtomThreadingContentHandler.startInReplyTo(String, String, String, String, Attributes)`, `AtomThreadingContentHandler.endInReplyTo()`

### atomTotal

    void atomTotal(int total)
                   throws org.xml.sax.SAXException

  Writes the start and the end tag for "thr:total".

  The "total" element is used to indicate the total number of unique responses to an entry known to the publisher. Its content MUST be an unsigned non-negative integer value conforming to the canonical representation of the XML Schema nonNegativeInteger data type [W3C.REC-xmlschema-2-20041028].

  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  See Also:
    `AtomThreadingContentHandler.startTotal(Attributes)`, `AtomThreadingContentHandler.endTotal()`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD